LibreOffice: Scenarios Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
Scenarios Service Referencepublished

represents a collection of scenarios. More...

Inheritance diagram for Scenarios:

## Exported Interfaces
interface | com::sun::star::sheet::XScenarios
| provides access via name to the scenarios in the collection.
interface | com::sun::star::container::XEnumerationAccess
| creates an enumeration of scenarios.
interface | com::sun::star::container::XIndexAccess
| provides access to the scenarios in the collection via index.

## Additional Inherited Members
Public Member Functions inherited from XScenarios
void | addNewByName ([in] string aName, [in] sequence< com::sun::star::table::CellRangeAddress > aRanges, [in] string aComment)
| creates a new scenario and adds it to the collection.
void | removeByName ([in] string aName)
| removes a scenario from the collection.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )

## Detailed Description

represents a collection of scenarios.

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

creates an enumeration of scenarios.

See also
  com::sun::star::sheet::ScenariosEnumeration

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

provides access to the scenarios in the collection via index.

See also
  com::sun::star::sheet::Spreadsheet

## ◆ com::sun::star::sheet::XScenarios

interface com::sun::star::sheet::XScenarios

provides access via name to the scenarios in the collection.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/Scenarios.idl